Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class VisualRadioMonitor

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.gui.VisualRadioMonitor

All Implemented Interfaces:
  HelpItem

public class VisualRadioMonitor
extends MonitorFactory

This is a prototype for a "global monitor." Several different nodes are all displayed on the same one panel. Basically, this monitor will display radio packet transmissions as dots on the screen. You can see transmission delays across nodes.

The internal code here is not well documented and will soon be entirely rewritten to a) accomodate a new way of handeling global monitors and b) a new way of accessing data inside the simulator.

Nested Class Summary
`class` | `VisualRadioMonitor.VisualMonitor`

Field Summary
`static java.util.Vector` | `allCurrentGraphEvents`
`static java.util.Vector` | `allCurrentMonitors`
`static boolean` | `isDisplayed`
`static javax.swing.JPanel` | `masterPanel`
`static int` | `numofnodes`
`static javax.swing.JPanel` | `optionsPanel`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`VisualRadioMonitor()` The constructor for the `VisualPCMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new monitor that is capable of monitoring the stack height of the program over its execution.

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### masterPanel

    public static javax.swing.JPanel masterPanel

### optionsPanel

    public static javax.swing.JPanel optionsPanel

### isDisplayed

    public static boolean isDisplayed

### allCurrentMonitors

    public static java.util.Vector allCurrentMonitors

### allCurrentGraphEvents

    public static java.util.Vector allCurrentGraphEvents

### numofnodes

    public static int numofnodes

Constructor Detail

### VisualRadioMonitor

    public VisualRadioMonitor()

  The constructor for the `VisualPCMonitor` class builds a new `MonitorFactory` capable of creating monitors for each `Simulator` instance passed to the `newMonitor()` method.

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new monitor that is capable of monitoring the stack height of the program over its execution.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create a monitor for
  Returns:
    an instance of the `Monitor` interface for the specified simulator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD